
import java.awt.Graphics;
import java.awt.Color;

public class growbox
{
	int xmin,ymin,xmax,ymax;
	int wd, ht;

	// No-argument constructor
	public growbox() { set( 0, 0, 1, 1 ); }


	// Constructor
	public growbox( int x1, int y1 , int x2, int y2 )
	{
		set(x1,y1,x2,y2);
	}

	// copy constructor
	public growbox( growbox src)
	{
		set(src.xmin,src.ymin,src.xmax,src.ymax);
	}
	
	// Set x and y coordinates of Point
	public void set( int x1, int y1, int x2, int y2 )
	{
	    if (x1>x2) {
		xmin = x2;
		xmax = x1;
	    }
	    else {
		xmin = x1;
		xmax = x2;
	    }
	    if (y1>y2) {
		ymin = y2;
		ymax = y1;
	    }
	    else {
		ymin = y1;
		ymax = y2;
	    }
	    wd = xmax-xmin;
	    if (wd==0) wd=1;
	    ht =  ymax-ymin;
	    if (ht==0) ht= 1;
	}

	public boolean contains(int x, int y){
	    if (x<xmin || x>xmax) return false;
	    if (y<ymin || y>ymax) return false;
	    return true;
	}


	public void draw(Graphics g)
	{
		Color oldcolor = g.getColor();
		g.setXORMode(Color.WHITE);
		g.drawRect(xmin,ymin,wd,ht);
	    	g.setPaintMode();
		g.setColor(oldcolor);
	}

}
